Name:          libheif
Version:       1.14.2
Release:       1mamba
Summary:       An HEIF and AVIF file format decoder and encoder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/strukturag/libheif
Source:        https://github.com/strukturag/libheif.git/v%{version}/libheif-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaom-devel
BuildRequires: libdav1d-devel
BuildRequires: libde265-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsvt-av1-devel
BuildRequires: libx265-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
libheif is an HEIF and AVIF file format decoder and encoder.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Multimedia
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DPLUGIN_DIRECTORY=%{_libdir}/libheif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libheif.so.*
%dir %{_libdir}/libheif
%{_libdir}/libheif/libheif-*.so
%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-heif.so
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libheif
%{_includedir}/libheif/*
%{_libdir}/libheif.so
%{_libdir}/pkgconfig/libheif.pc
%dir %{_libdir}/cmake/libheif
%{_libdir}/cmake/libheif/libheif-*.cmake
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/heif-convert
%{_bindir}/heif-enc
%{_bindir}/heif-info
%{_bindir}/heif-thumbnailer
%{_datadir}/mime/packages/avif.xml
%{_datadir}/mime/packages/heif.xml
%{_datadir}/thumbnailers/heif.thumbnailer
%{_mandir}/man1/heif-*.1*

%changelog
* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Mon Sep 05 2022 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-2mamba
- rebuilt with avif encoder and decoder and libde265 heif decoder

* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-1mamba
- package created using the webbuild interface
